GridSense Docs
Application API

Installaties opvragen

Verzoeken gaan via de GridSense-documentatieserver naar de API. Het API-testpaneel onthoudt je sleutel in deze browser, zodat je deze op alle endpointpagina’s kunt gebruiken. Wis de sleutel als je klaar bent, vooral op een gedeelde computer.

GET
/getInstallations

Geeft alle installaties terug die de applicatie momenteel mag uitlezen. Zowel een expliciete toewijzing aan de applicatie als blijvende toegang voor de eigenaar zijn vereist. Uitgeschakelde applicaties of ongeldige sleutels krijgen 401. Uitvoeren in het API-testpaneel op deze pagina verstuurt een echt verzoek naar de API.

Api-Key<token>

Plak de volledige gsak_-API-sleutel van je applicatie.

In: header

Antwoordinhoud

application/json

application/json

application/json

curl -X GET "https://example.com/getInstallations"
{  "valid": true,  "installations": [    {      "id": 42,      "name": "Example installation",      "type": "commercial",      "address": "Voorbeeldstraat 1",      "postalCode": "3500 AA",      "city": "Utrecht",      "country": "NL",      "timezone": "Europe/Amsterdam",      "latitude": 52.0907,      "longitude": 5.1214,      "altitude": 5,      "creationDate": "2026-09-01T09:00:00+02:00"    }  ]}